Skip to content

MOSH-2458: Add GET /v1/fine-tunes/{id}/metrics endpoint#253

Merged
artek0chumak merged 4 commits intomainfrom
artekchumak/add-metrics-endpoints
Apr 27, 2026
Merged

MOSH-2458: Add GET /v1/fine-tunes/{id}/metrics endpoint#253
artek0chumak merged 4 commits intomainfrom
artekchumak/add-metrics-endpoints

Conversation

@artek0chumak
Copy link
Copy Markdown
Contributor

@artek0chumak artek0chumak commented Apr 27, 2026

This PR adds GET metrics endpoint for the FT jobs

Screenshot 2026-04-27 at 13 32 09

@github-actions
Copy link
Copy Markdown

github-actions Bot commented Apr 27, 2026

✱ Stainless preview builds

This PR will update the togetherai SDKs with the following commit messages.

go

chore(internal): regenerate SDK with no functional changes

openapi

feat(api): add metrics endpoint to fine-tunes

python

chore(internal): regenerate SDK with no functional changes

terraform

chore(internal): regenerate SDK with no functional changes

typescript

chore(internal): regenerate SDK with no functional changes
togetherai-openapi studio · code

Your SDK build had at least one "note" diagnostic.
generate ✅

⚠️ togetherai-go studio · code

Your SDK build had a failure in the test CI job, which is a regression from the base state.
generate ✅build ⏭️lint ✅test ❗

go get github.com/stainless-sdks/togetherai-go@909ad835c8894aaf98f5b3388ab4a9ac3bdbb8a1
⚠️ togetherai-python studio · code

Your SDK build had at least one "warning" diagnostic.
generate ⚠️build ⏭️lint ⏭️test ⏭️

⚠️ togetherai-typescript studio · conflict

Your SDK build had at least one warning diagnostic.

togetherai-terraform studio · code

Your SDK build had at least one "note" diagnostic.
generate ✅lint ✅test ✅


This comment is auto-generated by GitHub Actions and is automatically kept up to date as you push.
If you push custom code to the preview branch, re-run this workflow to update the comment.
Last updated: 2026-04-27 11:44:26 UTC

@artek0chumak artek0chumak changed the title [WIP] MOSH-2458: Add GET /v1/fine-tunes/{id}/metrics endpoint MOSH-2458: Add GET /v1/fine-tunes/{id}/metrics endpoint Apr 27, 2026
@artek0chumak artek0chumak marked this pull request as ready for review April 27, 2026 11:18
Comment thread openapi.yaml
Comment thread openapi.yaml Outdated
items:
type: object
properties:
job_id:
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

not in the response

Comment thread openapi.yaml Outdated
type: string
description: Fine-tune job ID.
example: ft-abc123
global_step:
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

not in response

Comment thread openapi.yaml Outdated
format: int64
description: Training step at which this snapshot was recorded.
example: 100
is_eval:
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

not in the response

Comment thread openapi.yaml Outdated
type: boolean
description: Whether this was recorded during an evaluation step.
example: false
run_started_at:
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

not in the response

Comment thread openapi.yaml Outdated
format: date-time
description: When the training run started.
example: "2024-01-01T00:00:00Z"
logged_at:
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

also

Comment thread openapi.yaml
'400':
description: Invalid request — bad JSON body or missing job ID.
'500':
description: Internal server error — failed to retrieve metrics.
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

404 missing

Comment thread openapi.yaml
-H "Authorization: Bearer $TOGETHER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"global_step_from": 0,
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

we probably can add time filters to example too

Comment thread openapi.yaml Outdated
global_step_from:
type: integer
format: int64
description: Return only rows with global_step >= this value.
Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

rows is a bit internal wording. I'd go with metrics

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

(here and below)

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

and in 3341

@artek0chumak artek0chumak merged commit c198b33 into main Apr 27, 2026
5 of 6 checks passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

3 participants